---
title: AnimationEvent.pseudoElement
slug: Web/API/AnimationEvent/pseudoElement
tags:
  - API
  - AnimationEvent
  - CSS
  - CSSOM
  - Experimental
  - Property
  - Reference
  - Web Animations
---
<p>{{SeeCompatTable}}{{ apiref("Web Animations API") }}</p>

<h2 id="Summary">Summary</h2>

<p>The <code><strong>AnimationEvent.pseudoElement</strong></code> read-only property is a {{domxref("DOMString")}}, starting with <code>'::'</code>, containing the name of the <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> the animation runs on. If the animation doesn't run on a pseudo-element but on the element, an empty string: <code>''</code><code>.</code></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>name</em> = <em>AnimationEvent</em>.pseudoElement</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Animations', '#dom-animationevent-pseudoelement', 'AnimationEvent.pseudoElement') }}</td>
   <td>{{ Spec2('CSS3 Animations')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AnimationEvent.pseudoElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://bugs.chromium.org/p/chromium/issues/detail?id=437132">Chromium Issue 437132</a></li>
 <li><a href="/en-US/docs/CSS/Using_CSS_animations">Using CSS animations</a></li>
 <li>Animation-related CSS properties and at-rules: {{cssxref("animation")}}, {{cssxref("animation-delay")}}, {{cssxref("animation-direction")}}, {{cssxref("animation-duration")}}, {{cssxref("animation-fill-mode")}}, {{cssxref("animation-iteration-count")}}, {{cssxref("animation-name")}}, {{cssxref("animation-play-state")}}, {{cssxref("animation-timing-function")}}, {{cssxref("@keyframes")}}.</li>
 <li>The {{domxref("AnimationEvent")}} interface it belongs to.</li>
</ul>
